## dzl-fuzzy-index-cursor

dzl-fuzzy-index-cursor

## Functions

DzlFuzzyIndex * | dzl_fuzzy_index_cursor_get_index ()

## Properties

gboolean | case-sensitive | Read / Write / Construct Only
DzlFuzzyIndex * | index | Write / Construct Only
guint | max-matches | Read / Write / Construct Only
char * | query | Read / Write / Construct Only
GVariantDict * | tables | Write / Construct Only

## Types and Values

#define | DZL_TYPE_FUZZY_INDEX_CURSOR
| DzlFuzzyIndexCursor

## Object Hierarchy

        GObject
        ╰── DzlFuzzyIndexCursor

## Implemented Interfaces

DzlFuzzyIndexCursor implements GAsyncInitable and GListModel.

## Description

## Functions

### dzl_fuzzy_index_cursor_get_index ()

    DzlFuzzyIndex *
    dzl_fuzzy_index_cursor_get_index (DzlFuzzyIndexCursor *self);

Gets the index the cursor is iterating.

#### Parameters

self | A DzlFuzzyIndexCursor |

#### Returns

A DzlFuzzyIndex.

[transfer none]

## Types and Values

### DZL_TYPE_FUZZY_INDEX_CURSOR

    #define DZL_TYPE_FUZZY_INDEX_CURSOR (dzl_fuzzy_index_cursor_get_type())

### DzlFuzzyIndexCursor

    typedef struct _DzlFuzzyIndexCursor DzlFuzzyIndexCursor;

## Property Details

### The `“case-sensitive”` property

      “case-sensitive”           gboolean

Case Sensitive.

Owner: DzlFuzzyIndexCursor

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“index”` property

      “index”                    DzlFuzzyIndex *

The index this cursor is iterating.

Owner: DzlFuzzyIndexCursor

Flags: Write / Construct Only

### The `“max-matches”` property

      “max-matches”              guint

The max number of matches to display.

Owner: DzlFuzzyIndexCursor

Flags: Read / Write / Construct Only

Default value: 0

### The `“query”` property

      “query”                    char *

The query for the index.

Owner: DzlFuzzyIndexCursor

Flags: Read / Write / Construct Only

Default value: NULL

### The `“tables”` property

      “tables”                   GVariantDict *

The dictionary of character indexes.

Owner: DzlFuzzyIndexCursor

Flags: Write / Construct Only